FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202112141153.p0.g02a2d3c.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202112141153.p0.g02a2d3c.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=02a2d3c OS_GIT_VERSION=4.8.0-202112141153.p0.g02a2d3c.assembly.stream-02a2d3c SOURCE_DATE_EPOCH=1631255004 SOURCE_GIT_COMMIT=02a2d3cf8747de12f8f845575a11b7dd4519046d SOURCE_GIT_TAG=02a2d3cf SOURCE_GIT_URL=https://github.com/openshift/baremetal-operator 
WORKDIR /go/src/github.com/metal3-io/baremetal-operator
COPY . .
RUN make build
RUN make tools

RUN cp /go/src/github.com/metal3-io/baremetal-operator/config/crd/ocp/ocp_kustomization.yaml /go/src/github.com/metal3-io/baremetal-operator/config/crd/kustomization.yaml &&\
    go run sigs.k8s.io/kustomize/kustomize/v3 build config/crd > config/crd/baremetalhost.crd.yaml &&\
    mkdir /go/src/github.com/metal3-io/baremetal-operator/manifests &&\
    cp /go/src/github.com/metal3-io/baremetal-operator/config/crd/baremetalhost.crd.yaml /go/src/github.com/metal3-io/baremetal-operator/manifests/0000_30_baremetal-operator_01_baremetalhost.crd.yaml

FROM openshift/ose-base:v4.8.0.20211214.120549
ENV __doozer=update BUILD_RELEASE=202112141153.p0.g02a2d3c.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202112141153.p0.g02a2d3c.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=02a2d3c OS_GIT_VERSION=4.8.0-202112141153.p0.g02a2d3c.assembly.stream-02a2d3c SOURCE_DATE_EPOCH=1631255004 SOURCE_GIT_COMMIT=02a2d3cf8747de12f8f845575a11b7dd4519046d SOURCE_GIT_TAG=02a2d3cf SOURCE_GIT_URL=https://github.com/openshift/baremetal-operator 
COPY --from=builder /go/src/github.com/metal3-io/baremetal-operator/bin/baremetal-operator /
COPY --from=builder /go/src/github.com/metal3-io/baremetal-operator/bin/get-hardware-details /
COPY --from=builder /go/src/github.com/metal3-io/baremetal-operator/bin/make-bm-worker /
COPY --from=builder /go/src/github.com/metal3-io/baremetal-operator/bin/make-virt-host /
COPY --from=builder /go/src/github.com/metal3-io/baremetal-operator/manifests /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-baremetal-operator" \
        com.redhat.component="ose-baremetal-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Bare Metal Hardware Provisioning" \
        io.openshift.maintainer.subcomponent="baremetal-operator" \
        release="202112141153.p0.g02a2d3c.assembly.stream" \
        io.openshift.build.commit.id="02a2d3cf8747de12f8f845575a11b7dd4519046d" \
        io.openshift.build.source-location="https://github.com/openshift/baremetal-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/baremetal-operator/commit/02a2d3cf8747de12f8f845575a11b7dd4519046d" \
        version="v4.8.0"

